Bug 324971 - Korganizer's month view doesn't show journal entries anymore (regression updating KDE from 4.10.5 to 4.11.1)
Summary: Korganizer's month view doesn't show journal entries anymore (regression upda...
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: monthview (show other bugs)
Version: 4.11.1
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-16 18:21 UTC by Marko Hänninen
Modified: 2013-09-17 22:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.2


Attachments
std.ics which I created for testing with testuser account in my laptop and doesn't show up in month view (1.76 KB, text/calendar)
2013-09-16 18:21 UTC, Marko Hänninen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Hänninen 2013-09-16 18:21:49 UTC
Created attachment 82344 [details]
std.ics which I created for testing with testuser account in my laptop and doesn't show up in month view

I updated my KDE installation from 4.10.5 to 4.11.1 and Korganizer can't show journal entries anymore in the month view (or in any other views). I created a new user to my laptop and tested to create a couple of journal entries, but those didn't show up in any view. The journal entries will show in journal, so I think they are ok. Korganizer worked fine with KDE 4.10.5. 

I have the setting "Show journals" enabled in Korganizer month view settings.
Comment 1 Sergio Martins 2013-09-17 16:34:56 UTC
Git commit 8b3511245540d20307bcde5cd3d42f931346e21a by Sergio Martins.
Committed on 17/09/2013 at 16:30.
Pushed by smartins into branch 'KDE/4.11'.

Don't filter out journals.

OccurrenceIterator is also used for non-recurring incidences, which
technically have 1 occurrence.

So journals, although not being recurring were being filtered out here
and not appearing in month view.

M  +15   -1    kcalcore/occurrenceiterator.cpp
M  +23   -0    kcalcore/tests/testoccurrenceiterator.cpp
M  +1    -0    kcalcore/tests/testoccurrenceiterator.h

http://commits.kde.org/kdepimlibs/8b3511245540d20307bcde5cd3d42f931346e21a